### Struct

# Clutter PathNode

since: 13

#### Description [src]

    struct ClutterPathNode {
      ClutterPathNodeType type;
      None points;
    }

Represents a single node of a `ClutterPath`.

Some of the coordinates in `points` may be unused for some node types. `CLUTTER_PATH_MOVE_TO` and `CLUTTER_PATH_LINE_TO` use only one pair of coordinates, `CLUTTER_PATH_CURVE_TO` uses all three and `CLUTTER_PATH_CLOSE` uses none.

###### Structure members

`type`

  The node’s type.

`points`

  The coordinates of the node.

Available since: 13

#### Instance methods

###### clutter_path_node_copy

Makes an allocated copy of a node.

since: 13

###### clutter_path_node_equal

Compares two nodes and checks if they are the same type with the same coordinates.

since: 13

###### clutter_path_node_free

Frees the memory of an allocated node.

since: 13